#!/bin/bash

if [ ! -d src/winbox-with-interactjs/node_modules ] ; then
    echo "Failed to find src/winbox-with-interactjs/node_modules" >&2
    echo "Have you run ./NPM-DEV-INSTALL.sh ?" >&2
    exit 1
fi
   
cd src/winbox-with-interactjs \
    && echo "Running npm run build in src/winbox-with-interact" \
    && npm run build \
    && echo "Copying build dist to winbox-with-iteract-dist" \
    && /bin/rm -rf ../../winbox-with-interact-dist \
    && /bin/cp dist ../../winbox-with-interact-dist
